Trading Schedule
API Description
Trading session schedules for the underlying assets of TradFi Perps are provided for a one-week period forward and one-week period backward starting from the day prior to the query time, covering the U.S. equity market, Korean equity market and the commodity market.
Session types per market:
- U.S. equity market: "PRE_MARKET", "REGULAR", "AFTER_MARKET", "OVERNIGHT", "NO_TRADING".
- Commodity market: "REGULAR", "NO_TRADING".
- Korean equity market: "REGULAR", "NO_TRADING".
HTTP Request
GET /fapi/v1/tradingSchedule
Request Weight
5
Request Parameters
NONE
Response Example
{
"updateTime": 1761286643918,
"marketSchedules": {
"EQUITY": {
"sessions": [
{
"startTime": 1761177600000,
"endTime": 1761206400000,
"type": "OVERNIGHT"
},
{
"startTime": 1761206400000,
"endTime": 1761226200000,
"type": "PRE_MARKET"
}
]
},
"COMMODITY": {
"sessions": [
{
"startTime": 1761724800000,
"endTime": 1761744600000,
"type": "NO_TRADING"
},
{
"startTime": 1761744600000,
"endTime": 1761768000000,
"type": "REGULAR"
}
]
},
"KR_EQUITY": {
"sessions": [
{
"startTime": 1779958800000,
"endTime": 1780009200000,
"type": "NO_TRADING"
},
{
"startTime": 1780009200000,
"endTime": 1780030800000,
"type": "REGULAR"
}
]
}
}
}